*, *:after, *:before { -webkit-box-sizing: border-box; -moz-box-sizing: border-box; box-sizing: border-box; }
.clearfix:before, .clearfix:after { content: ''; display: table; }
.clearfix:after { clear: both; }



/* Demo mockups */


.js .fixed-block {
	min-height: 300px;
	position: relative;
}

.mockup-left {
	float: left;
	max-width: 100%;
	overflow: hidden;
	width: 300px;
	margin: 0 40px 50px 0;
	background: rgba(0,0,0,0.1);
	height: 400px;
	position: relative;
}

.mockup-left::after {
	content:'\2234';
	width: 100%;
	height: 100%;
	position: absolute;
	top: 0;
	left: 0;
	color: rgba(0,0,0,0.05);
	font-size: 15em;
}

.mockup-right {
	text-align: left;
}

html.demo-7, .demo-7 body {
	overflow-x: hidden;
	height: 100%;
}

.demo-7 .container {
	width: 100%;
	position: absolute;
	-webkit-transition: -webkit-transform 0.5s cubic-bezier(0.7, 0, 0.3, 1) 0.1s;
	transition: transform 0.5s cubic-bezier(0.7, 0, 0.3, 1) 0.1s;
}

.no-js.demo-7 .container {
	width: calc(100% - 300px);
	right: 0;
}

.pushed.container {
	-webkit-transition-duration: 0.5s;
	transition-duration: 0.5s;
	-webkit-transform: translateX(300px);
	transform: translateX(300px);
}

@media screen and (max-width: 770px) {
	.mockup-left {
		float: none;
		margin: 0 auto 20px;
	}

	.mockup-right {
		text-align: center;
	}

	.joiner {
		display: block;
	}
}

@media screen and (max-width: 400px) {
	.mockup-content > span:nth-last-child(2) {
		width: calc(100% - 210px);
	}
}

@media screen and (max-width: 25em) {

	.codrops-icon span {
		display: none;
	}

}